curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/journal/entries/multi-analytic-plansimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/journal/entries/multi-analytic-plans"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/journal/entries/multi-analytic-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"journal_id": "<accounting-journal-id>",
"id": "<this-journal-entry-id>",
"reference": "JE-REF-0001",
"due_date": "2026-02-14",
"name": "JE-2026-0001",
"journal_name": "Bank journal",
"date": "2026-01-15",
"posted": false,
"due_dates": [],
"attachments_info": {
"status": "unknown",
"attachments": []
},
"items": []
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "You can retrieve maximum 3 months of data at once. The difference between 'date_from' and 'date_to' is at maximum 3 months.",
"status": "error",
"error_code": "ERROR_MAX_DIFFERENCE_MONTHS"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get journal entries (Multiple Analytic Plans)
Returns a list of journal entries with invoice items including multiple analytic plan.Optionally, you can retrieve journal entries linked to a specific client/supplier using the partner_id parameter. When retrieving entries linked to a specific client/supplier, some journal items of an entry (e.g. a miscellaneous operation) could be excluding resulting in an unbalanced journal entry.
- What is a journal entry? ↗
- What is analytical accounting? ↗
- How to use analytical plans and accounts in Chift? ↗
Path Parameters
Query Parameters
Page number
x >= 1Page size
1 <= x <= 100Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.
true, false Journal ID used to filter journal entries to only retrieve entries for a specific journal. This is an optional filter parameter.
Accounting date from which the journal entries will be retrieved (this date will be included in the response). This parameter is mandatory if the 'updated_after' parameter is not provided.
Accounting date until which the journal entries will be retrieved (this date will be included in the response).This parameter is mandatory if the 'updated_after' parameter is not provided.
When provided only journal entries modified or created after this datetime will be retrieved (this datetime will NOT be included in the response). E.g. 2023-01-31T15:00:00 for 31 of January 2023 at 3PM UTC, UTC is the only format that is supported on all connectors.